Subject: Re: [PATCH powerpc ] Avoid debug_smp_processor_id() check in arch_spin_unlock_wait()

From: Benjamin Herrenschmidt <[email-masked]>
Date: Fri, 25 Jan 2013 08:44:49 +1100

On Thu, 2013-01-24 at 18:13 +0800, Li Zhong wrote:
> I'm not very clear about the "risk" you mentioned above. It seems to me
> that the freeing of lppaca only appeared in free_unused_pacas(), called
> by early setup code, at which time hotplug seems impossible. 
> 
> I must missed something ...

No you are right, we don't free them at the moment.

> I'll update the SHARED_PROCESSOR directly, it seems better to me now.
> (wonder why I gave it up immediately when it first came into my mind
> while I was doing the last update...)

Cheers,
Ben.